%global tarball_version 3_18_1_ga

Name:           javassist
Version:        3.18.1
Release:        10
Summary:        Java bytecode engineering toolkit
License:        MPLv1.1 or LGPLv2+ or ASL 2.0
URL:            http://www.csg.is.titech.ac.jp/~chiba/%{name}/
Source0:        http://github.com/jboss-%{name}/%{name}/archive/rel_%{tarball_version}.tar.gz

Patch0:         0001-Remove-usage-of-junit.awtui-and-junit.swingui.patch

BuildArch:      noarch
BuildRequires:  maven-local mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(junit:junit) mvn(org.apache.maven.plugins:maven-source-plugin)
Requires:       jpackage-utils

Provides:       %{name}-doc
Obsoletes:      %{name}-doc

%description
Javassist (JAVA programming ASSISTant) makes Java bytecode manipulation simple. It is a
class library for editing bytecodes in Java; it enables Java programs to define a new class
at runtime and to modify a class file when the JVM loads it. Unlike other similar bytecode
editors, Javassist provides two levels of API: source level and bytecode level. If the users
use the source- level API, they can edit a class file without knowledge of the specifications
of the Java bytecode. The whole API is designed with only the vocabulary of the Java language.
You can even specify inserted bytecode in the form of source text; Javassist compiles it on
the fly. On the other hand, the bytecode-level API allows the users to directly edit a class
file as other editors.

%prep
%autosetup -n %{name}-rel_%{tarball_version} -p1
find . -name \*.jar -type f -delete
mkdir runtest

%pom_xpath_remove "pom:profile[pom:id='default-tools']"
%pom_add_dep com.sun:tools

%mvn_file : %{name}
%mvn_alias : %{name}:%{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles -f .mfiles-javadoc
%license License.html
%doc Readme.html

%changelog
* Sat Dec 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.18.1-10
- Package init

